#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for talk services on EIS/FAIR
#
# Copyright (c) 2002-2012 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2002-12-01  jed
# Last Update:  $Id: install.sh 31573 2012-09-02 09:14:22Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# include eislib etc.
. /var/install/include/eislib
. /var/install/include/check-eisfair-version
. /var/install/include/jedlib

module_name='talk'

mecho -info "running install.sh ..."

# update shared library file
update_jedlib ${module_name}

# set platform specific parameters
case ${EISFAIR_SYSTEM} in
    eisfair-2)
        # eisfair-2
        ### symbolic links
        mecho "creating symbolic links ..."

        rm -f /etc/rc[0126S].d/[KS]??${module_name}

        ln -sf /etc/init.d/${module_name} /etc/rcS.d/K47${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rc0.d/K47${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rc1.d/K47${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rc6.d/K47${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rcS.d/K47${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rc2.d/S53${module_name}
        ;;
    *)
        # default to eisfair-1
        ### symbolic links
        mecho "creating symbolic links ..."

        rm -f /etc/rc2.d/[KS]??${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rc2.d/K47${module_name}
        ln -sf /etc/init.d/${module_name} /etc/rc2.d/S53${module_name}
        ;;
esac

cd /usr/bin
ln -sf ./ytalk talk

cd /usr/sbin
ln -sf ./talkd ntalkd

# menu
mecho "adding menu ..."
/var/install/bin/add-menu -menu "setup.services.menu" "setup.services.${module_name}.menu" "Talk Service"

# add support for advanced configuration file handling (acfh)
/var/install/bin/add_advancedconfigmenu -quiet talk

# move old files to backup directory and create backup
/var/install/bin/backup-file -quiet talk

# install/update package configuration file
update=false
if install_config ${module_name}
then
    update=true
fi

# configuration
mecho "creating ${module_name} configuration ..."

if [ "${update}" = "true" ]
then
    # updated installation
    /var/install/config.d/${module_name}.sh
    if [ -f /etc/init.d/${module_name} ]
    then
        /etc/init.d/${module_name} restart
    fi
else
    # new installation
    /var/install/bin/edit -apply "${module_name}" "Edit ${module_name} services configuration"
fi

exit 0
